package com.xzzn.ems.domain;

import java.math.BigDecimal;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * pcs支路数据对象 ems_pcs_branch_data
 *
 * @author xzzn
 * @date 2025-06-29
 */
public class EmsPcsBranchData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 放电状态 */
    @Excel(name = "放电状态")
    private String dischargeStatus;

    /** 直流功率 (kW) */
    @Excel(name = "直流功率 (kW)")
    private BigDecimal dcPower;

    /** 直流电压 (V) */
    @Excel(name = "直流电压 (V)")
    private BigDecimal dcVoltage;

    /** 直流电流 (A) */
    @Excel(name = "直流电流 (A)")
    private BigDecimal dcCurrent;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    /** 支路id */
    @Excel(name = "支路id")
    private String branchId;

    /** 电网U相电压 */
    @Excel(name = "电网U相电压")
    private BigDecimal gridUVoltage;

    /** 电网V相电压 */
    @Excel(name = "电网V相电压")
    private BigDecimal gridVVoltage;

    /** 电网W相电压 */
    @Excel(name = "电网W相电压")
    private BigDecimal gridWVoltage;

    /** 输出U相电流 */
    @Excel(name = "输出U相电流")
    private BigDecimal outputUCurrent;

    /** 输出V相电流 */
    @Excel(name = "输出V相电流")
    private BigDecimal outputVCurrent;

    /** 输出W相电流 */
    @Excel(name = "输出W相电流")
    private BigDecimal outputWCurrent;

    /** 视在功率 */
    @Excel(name = "视在功率")
    private BigDecimal apparentPower;

    /** 有功功率 */
    @Excel(name = "有功功率")
    private BigDecimal activePower;

    /** 无功功率 */
    @Excel(name = "无功功率")
    private BigDecimal reactivePower;

    /** 功率因数 */
    @Excel(name = "功率因数")
    private BigDecimal powerFactor;

    /** 频率 */
    @Excel(name = "频率")
    private BigDecimal frequency;

    /** 内部温度 */
    @Excel(name = "内部温度")
    private BigDecimal internalTemp;

    /** U相IGBT温度 */
    @Excel(name = "U相IGBT温度")
    private BigDecimal uIgbtTemp;

    /** V相IGBT温度 */
    @Excel(name = "V相IGBT温度")
    private BigDecimal vIgbtTemp;

    /** W相IGBT温度 */
    @Excel(name = "W相IGBT温度")
    private BigDecimal wIgbtTemp;

    /** 并离网状态 */
    @Excel(name = "并离网状态")
    private String gridStatus;

    /** 可用功率 */
    @Excel(name = "可用功率")
    private BigDecimal availablePower;

    /** 总负载比 */
    @Excel(name = "总负载比")
    private BigDecimal totalLoadRatio;

    /** 交流漏电流 */
    @Excel(name = "交流漏电流")
    private BigDecimal acLeakageCurrent;

    /** 绝缘阻抗 */
    @Excel(name = "绝缘阻抗")
    private BigDecimal insulationResistance;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDischargeStatus(String dischargeStatus)
    {
        this.dischargeStatus = dischargeStatus;
    }

    public String getDischargeStatus()
    {
        return dischargeStatus;
    }

    public void setDcPower(BigDecimal dcPower)
    {
        this.dcPower = dcPower;
    }

    public BigDecimal getDcPower()
    {
        return dcPower;
    }

    public void setDcVoltage(BigDecimal dcVoltage)
    {
        this.dcVoltage = dcVoltage;
    }

    public BigDecimal getDcVoltage()
    {
        return dcVoltage;
    }

    public void setDcCurrent(BigDecimal dcCurrent)
    {
        this.dcCurrent = dcCurrent;
    }

    public BigDecimal getDcCurrent()
    {
        return dcCurrent;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setBranchId(String branchId)
    {
        this.branchId = branchId;
    }

    public String getBranchId()
    {
        return branchId;
    }

    public void setGridUVoltage(BigDecimal gridUVoltage)
    {
        this.gridUVoltage = gridUVoltage;
    }

    public BigDecimal getGridUVoltage()
    {
        return gridUVoltage;
    }

    public void setGridVVoltage(BigDecimal gridVVoltage)
    {
        this.gridVVoltage = gridVVoltage;
    }

    public BigDecimal getGridVVoltage()
    {
        return gridVVoltage;
    }

    public void setGridWVoltage(BigDecimal gridWVoltage)
    {
        this.gridWVoltage = gridWVoltage;
    }

    public BigDecimal getGridWVoltage()
    {
        return gridWVoltage;
    }

    public void setOutputUCurrent(BigDecimal outputUCurrent)
    {
        this.outputUCurrent = outputUCurrent;
    }

    public BigDecimal getOutputUCurrent()
    {
        return outputUCurrent;
    }

    public void setOutputVCurrent(BigDecimal outputVCurrent)
    {
        this.outputVCurrent = outputVCurrent;
    }

    public BigDecimal getOutputVCurrent()
    {
        return outputVCurrent;
    }

    public void setOutputWCurrent(BigDecimal outputWCurrent)
    {
        this.outputWCurrent = outputWCurrent;
    }

    public BigDecimal getOutputWCurrent()
    {
        return outputWCurrent;
    }

    public void setApparentPower(BigDecimal apparentPower)
    {
        this.apparentPower = apparentPower;
    }

    public BigDecimal getApparentPower()
    {
        return apparentPower;
    }

    public void setActivePower(BigDecimal activePower)
    {
        this.activePower = activePower;
    }

    public BigDecimal getActivePower()
    {
        return activePower;
    }

    public void setReactivePower(BigDecimal reactivePower)
    {
        this.reactivePower = reactivePower;
    }

    public BigDecimal getReactivePower()
    {
        return reactivePower;
    }

    public void setPowerFactor(BigDecimal powerFactor)
    {
        this.powerFactor = powerFactor;
    }

    public BigDecimal getPowerFactor()
    {
        return powerFactor;
    }

    public void setFrequency(BigDecimal frequency)
    {
        this.frequency = frequency;
    }

    public BigDecimal getFrequency()
    {
        return frequency;
    }

    public void setInternalTemp(BigDecimal internalTemp)
    {
        this.internalTemp = internalTemp;
    }

    public BigDecimal getInternalTemp()
    {
        return internalTemp;
    }

    public void setuIgbtTemp(BigDecimal uIgbtTemp)
    {
        this.uIgbtTemp = uIgbtTemp;
    }

    public BigDecimal getuIgbtTemp()
    {
        return uIgbtTemp;
    }

    public void setvIgbtTemp(BigDecimal vIgbtTemp)
    {
        this.vIgbtTemp = vIgbtTemp;
    }

    public BigDecimal getvIgbtTemp()
    {
        return vIgbtTemp;
    }

    public void setwIgbtTemp(BigDecimal wIgbtTemp)
    {
        this.wIgbtTemp = wIgbtTemp;
    }

    public BigDecimal getwIgbtTemp()
    {
        return wIgbtTemp;
    }

    public void setGridStatus(String gridStatus)
    {
        this.gridStatus = gridStatus;
    }

    public String getGridStatus()
    {
        return gridStatus;
    }

    public void setAvailablePower(BigDecimal availablePower)
    {
        this.availablePower = availablePower;
    }

    public BigDecimal getAvailablePower()
    {
        return availablePower;
    }

    public void setTotalLoadRatio(BigDecimal totalLoadRatio)
    {
        this.totalLoadRatio = totalLoadRatio;
    }

    public BigDecimal getTotalLoadRatio()
    {
        return totalLoadRatio;
    }

    public void setAcLeakageCurrent(BigDecimal acLeakageCurrent)
    {
        this.acLeakageCurrent = acLeakageCurrent;
    }

    public BigDecimal getAcLeakageCurrent()
    {
        return acLeakageCurrent;
    }

    public void setInsulationResistance(BigDecimal insulationResistance)
    {
        this.insulationResistance = insulationResistance;
    }

    public BigDecimal getInsulationResistance()
    {
        return insulationResistance;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dischargeStatus", getDischargeStatus())
                .append("dcPower", getDcPower())
                .append("dcVoltage", getDcVoltage())
                .append("dcCurrent", getDcCurrent())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("branchId", getBranchId())
                .append("gridUVoltage", getGridUVoltage())
                .append("gridVVoltage", getGridVVoltage())
                .append("gridWVoltage", getGridWVoltage())
                .append("outputUCurrent", getOutputUCurrent())
                .append("outputVCurrent", getOutputVCurrent())
                .append("outputWCurrent", getOutputWCurrent())
                .append("apparentPower", getApparentPower())
                .append("activePower", getActivePower())
                .append("reactivePower", getReactivePower())
                .append("powerFactor", getPowerFactor())
                .append("frequency", getFrequency())
                .append("internalTemp", getInternalTemp())
                .append("uIgbtTemp", getuIgbtTemp())
                .append("vIgbtTemp", getvIgbtTemp())
                .append("wIgbtTemp", getwIgbtTemp())
                .append("gridStatus", getGridStatus())
                .append("availablePower", getAvailablePower())
                .append("totalLoadRatio", getTotalLoadRatio())
                .append("acLeakageCurrent", getAcLeakageCurrent())
                .append("insulationResistance", getInsulationResistance())
                .toString();
    }
}
